Bug 748843 - gnome-shell doesn't start with two video adapters (intel, radeon) and two monitors.
Summary: gnome-shell doesn't start with two video adapters (intel, radeon) and two mon...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-25 13:54 UTC by John Wehin
Modified: 2013-02-13 19:58 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 19:58:40 UTC


Attachments (Terms of Use)
dmesg (126.08 KB, text/plain)
2011-10-25 13:55 UTC, John Wehin
no flags Details
messages (336.22 KB, application/octet-stream)
2011-10-25 13:56 UTC, John Wehin
no flags Details
Xorg.0.log (91.02 KB, text/plain)
2011-10-25 13:57 UTC, John Wehin
no flags Details
Smolth (3.31 KB, text/plain)
2011-10-25 13:57 UTC, John Wehin
no flags Details
/var/log/gdm/:0-greeter.log (36.05 KB, text/plain)
2011-10-25 13:58 UTC, John Wehin
no flags Details
/var/log/gdm/:0.log (73.77 KB, text/plain)
2011-10-25 13:59 UTC, John Wehin
no flags Details
/var/log/gdm/:0-slave.log (333 bytes, text/plain)
2011-10-25 13:59 UTC, John Wehin
no flags Details

Description John Wehin 2011-10-25 13:54:02 UTC
Description of problem:

gnome-shell doesn't start with two video adapters (intel, radeon) and two monitors. Though it works on each monitor if connected separately.
     
Version-Release number of selected component (if applicable):
gnome-shell-3.2.1-1.fc16.x86_64
xorg-x11-drv-intel-2.16.0-2.fc16.x86_64
xorg-x11-drv-ati-6.14.2-2.20110727git8c9266ed2.fc16.x86_64
     
How reproducible:
Anytime
     
Steps to Reproduce:
1. Connect two VGA-monitors, each into its own video adapter.
2. boot
3. login to Gnome session

Actual results:
Gnome-shell fails to start and shows the "Gnome running in fallback" window. After I click OK, gnome-panel doesn't start either. Only wallpapers are shown on both monitors.

Expected results:
Gnome-shell starts.

Additional info:
I can run gnome-terminal from text console using "DISPLAY=:0.0 gnome-terminal" command. Then if I switch back to graphics and run gnome-panel from the terminal, it segfaults.

(gnome-panel:6074): Gtk-CRITICAL **: gtk_style_context_get: assertion `priv->widget_path != NULL' failed
Ошибка сегментирования (core dumped)

Comment 1 John Wehin 2011-10-25 13:55:47 UTC
Created attachment 530092 [details]
dmesg

Comment 2 John Wehin 2011-10-25 13:56:41 UTC
Created attachment 530093 [details]
messages

Comment 3 John Wehin 2011-10-25 13:57:12 UTC
Created attachment 530094 [details]
Xorg.0.log

Comment 4 John Wehin 2011-10-25 13:57:39 UTC
Created attachment 530095 [details]
Smolth

Comment 5 John Wehin 2011-10-25 13:58:44 UTC
Created attachment 530096 [details]
/var/log/gdm/:0-greeter.log

Comment 6 John Wehin 2011-10-25 13:59:08 UTC
Created attachment 530097 [details]
/var/log/gdm/:0.log

Comment 7 John Wehin 2011-10-25 13:59:34 UTC
Created attachment 530098 [details]
/var/log/gdm/:0-slave.log

Comment 8 Ferry Huberts 2011-11-30 09:31:22 UTC
I have this issue too.
somehow the llvmpipe driver is chosen instead of the radeon driver for my

01:00.0 VGA compatible controller: ATI Technologies Inc RV730 PRO [Radeon HD 4650]

Comment 9 Ferry Huberts 2011-11-30 10:01:21 UTC
I've fixed it by doing (don't know which action actually did the trick):

- removing all i686 packages, and installing there respective x86_64 packages
- install caribou.x86_64. the i686 was installed but not the x86_64 variant and the gdm log was complaining about it
- remove a leading minus in front of the systemd line in /etc/pam.d/system-auth
  (see https://bugzilla.redhat.com/show_bug.cgi?id=743260#c5)

Comment 10 John Wehin 2012-07-17 00:41:01 UTC
(In reply to comment #9)
> I've fixed it by doing (don't know which action actually did the trick):
> 
> - removing all i686 packages, and installing there respective x86_64 packages
> - install caribou.x86_64. the i686 was installed but not the x86_64 variant
> and the gdm log was complaining about it
> - remove a leading minus in front of the systemd line in
> /etc/pam.d/system-auth
>   (see https://bugzilla.redhat.com/show_bug.cgi?id=743260#c5)

try, wo result

Comment 11 Fedora End Of Life 2013-01-16 16:23:14 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Fedora End Of Life 2013-02-13 19:58:44 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.